%define version		0.9.6
%define src_name	scim_kmfl_imengine

%define scim_version	1.4.0
%define libkmfl_version	0.5

%define major		0
%define libname_orig	lib%{name}
%define libname		%mklibname %{name} %{major}

Name:		scim-kmfl-imengine
Summary:	SCIM IM engine module for KMFL
Version:	%{version}
Release:	%mkrel 3
Group:		System/Internationalization
License:	GPLv2+
URL:		http://kmfl.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/kmfl/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	%{libname} = %{version}-%{release}
Requires:	libkmfl >= %{libkmfl_version}
Requires:	scim >= %{scim_version}
BuildRequires:	libkmfl-devel >= %{libkmfl_version}
BuildRequires:	scim-devel >= %{scim_version}
BuildRequires:	libltdl-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	libxkbfile-devel 

%description
KMFL is a keyboarding input method which aims to bring Tavultesoft
Keyman functionality to Linux.

scim-kmfl-imengine is one of three parts of the KMFL project. It is a 
SCIM input method engine. The other two parts are libkmfl and
kmflcomp.

%package -n	%{libname}
Summary:	Scim-kmfl-imengine library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
KMFL is a keyboarding input method which aims to bring Tavultesoft
Keyman functionality to Linux.

scim-kmfl-imengine is one of three parts of the KMFL project. It is a 
SCIM input method engine. The other two parts are libkmfl and
kmflcomp.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.2.0/*/*.{a,la}

# remove documents (AUTHORS, COPYING etc.)
# they should be installed by %doc
rm -rf %{buildroot}/%{_prefix}/doc/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_libdir}/scim-1.0/%{scim_version}/IMEngine/*
%{_libdir}/scim-1.0/%{scim_version}/SetupUI/*
%{_datadir}/scim/kmfl/icons/default.png


%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-3mdv2008.1
+ Revision: 179494
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.6-1mdv2008.0
+ Revision: 81397
- add unpackaged file
- correct license to GPLv2+
- new release 0.9.6

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.5-1mdv2008.0
+ Revision: 58462
- fix directory name in tarball
- rebuild for 2008
- package appropriate doc files
- remove unnecessary complexity in build process
- improve description
- clean buildrequires
- use Fedora license policy
- spec clean
- new release 0.9.5


* Tue Aug 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9-1mdv2007.0
- Add BuildRequires

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9-1mdk
- New release 0.9

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-4mdk
- Rebuild for new scim ( 1.4.0 )

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri May 27 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5-2mdk
- add BuildRequires: perl-XML-Parser

* Wed May 11 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5-1mdk
- first spec for Mandriva Linux

